unit test;
(*
  Esimerkki
    1) Liikkuvan auton kytst
    2) Olion dynaamisesta luomisesta
    3) Olion lhettmn omatekoisen viestin vastaanottamisesta

  Auto luodaan dynaamisesti ohjelman kynnistyess.
  KAuto on tehty jo suunnitteluvaiheessa.
  LaskuriX nyttn Auton x-koordinaatin.
  LaskuriKpl laskee monestiko autot ovat kyneet kntymss oikeassa reunassa.

  Tarvitsee toimiakseen test.pas, laskuri.pas ja auto.pas.
  Laskuri.pas ja auto.pas pit asentaa komponentteihin, jos testilomake
  halutaan nhd suunnitteluaikana.

  Vesa Lappalainen 23.10.1997
*)
interface                   

uses
  SysUtils, Classes,
{$ifdef CLX}
  QGraphics, QControls, QForms, QDialogs, QExtCtrls,QStdCtrls,
{$else}
  Windows, Messages,
  Graphics, Controls, Forms, Dialogs, ExtCtrls,StdCtrls,
{$endif}
  Auto, laskuri;

type
  TFormAutoTesti = class(TForm)
    LaskuriKpl: TLaskuri;
    LaskuriX: TLaskuri;
    KAuto: TAuto;
    procedure FormCreate(Sender: TObject);
    procedure AutoMove(sender:TObject;x,y:integer);
    procedure KAutoChangeDir(sender: TObject; dir: Integer);
  private
    Auto : TAuto;
  public
  end;

var
  FormAutoTesti: TFormAutoTesti;

implementation

{$R *.xfm}

procedure TFormAutoTesti.FormCreate(Sender: TObject);
var i:integer;
begin
//  DoubleBuffered := true;
  for i:=0 to 1 do begin
    Auto := TAuto.Create(self);
    Auto.Left := Random(200);
    Auto.Top := Random(300);
    Auto.Parent := self;
    Auto.BitName := 'hauto.bmp';
    Auto.Vauhti := Random(20)+1;
  end;
  Auto.OnAutoMove := AutoMove;
  Auto.OnChangeDir := KAutoChangeDir;
end;

procedure TFormAutoTesti.AutoMove(sender:TObject;x,y:integer);
begin
  LaskuriX.Count := x;
end;

procedure TFormAutoTesti.KAutoChangeDir(sender: TObject; dir: Integer);
begin
  if ( dir > 0 ) then LaskuriKpl.Inc(1);
end;

end.
